Subject: Re: All Windows-created files seem to have mode -rwxrwxrwx
From: "Chris K Ellsworth" <[email-masked]>
To: <[email-masked]>
Date: Thu, 31 Oct 2002 09:44:05 -0800

you probly need ntsec also

----- Original Message ----- 
From: "Ivan Dobrianov" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, October 31, 2002 9:34 AM
Subject: All Windows-created files seem to have mode -rwxrwxrwx

> Sorry is this has been asked 1000 times, but even though there are many 
> references to permissions setting in the FAQ and User guide, nohting 
> explains the following.
> 
> THE FACTS: I have "Windows XP Professional Ver 5.1 Build 2600 Service 
> Pack 1" and Cygwin cygwin_1.3.14-1 gotten and installed yesterday, with 
> settings "CYGWIN = `ntea'" and the disks are NTFS, e.g.:
>     e:  hd  NTFS   70001Mb  13% CP CS UN PA FC     DATA
> 
> THE PROBLEM: All is well except that all Windows-created files seem to 
> have permissions -rwxrwxrwx. Including text files created by say 
> Notepad. All are "executable".
> 
> I have no problem with reading or chaning permissions from inside 
> Cygwin.  Also files created from Cygwin have reasonable permissions: 
> -rw-rw-rw-. It is just file created from Windows applications that are 
> always executable.
> 
> Any clues? Thanks!
> 
> PS: I do not want to bother with 'ntsec' - security is not an issue at 
> the moment.
> PS2: I have used previous versions of cygwin on a number of NTFS-disked 
> machins and never seen this.
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/